Bug 30974 - [llvmpipe] SIGABRT src/gallium/drivers/llvmpipe/lp_state_fs.c:779
[llvmpipe] SIGABRT src/gallium/drivers/llvmpipe/lp_state_fs.c:779
Status: CLOSED FIXED
Product: Mesa
Classification: Unclassified
Component: Other
git
All Linux (All)
: medium critical
Assigned To: Brian Paul
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 14:58 UTC by Vinson Lee
Modified: 2010-11-03 23:52 UTC (History)
2 users (show)

See Also:


Attachments
glsl-fs-discard-03.log (29.93 KB, text/plain)
2010-10-18 14:58 UTC, Vinson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2010-10-18 14:58:33 UTC
Created attachment 39518 [details]
glsl-fs-discard-03.log

mesa: 4af293741635aea8630e8734a8b4caf58047e91d (master)

Run piglit glsl-fs-discard-03 test.

$ ./bin/shader_runner tests/shaders/glsl-fs-discard-03.shader_test -auto

(gdb) bt
#0  0x008a7422 in __kernel_vsyscall ()
#1  0x00901651 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x00904a82 in *__GI_abort () at abort.c:92
#3  0x00e141d7 in generate_fragment (screen=0x860f780, shader=0x8993680, variant=0x8a76398, partial_mask=1) at src/gallium/drivers/llvmpipe/lp_state_fs.c:779
#4  0x00e14de2 in generate_variant (screen=0x860f780, shader=0x8993680, key=0xbfef84ac) at src/gallium/drivers/llvmpipe/lp_state_fs.c:952
#5  0x00e15e9a in llvmpipe_update_fs (lp=0x864b6b0) at src/gallium/drivers/llvmpipe/lp_state_fs.c:1333
#6  0x00e11dc6 in llvmpipe_update_derived (llvmpipe=0x864b6b0) at src/gallium/drivers/llvmpipe/lp_state_derived.c:131
#7  0x00df9460 in llvmpipe_draw_vbo (pipe=0x864b6b0, info=0xbfef8aec) at src/gallium/drivers/llvmpipe/lp_draw_arrays.c:60
#8  0x00f2ec83 in st_draw_vbo (ctx=0x868c158, arrays=0x86ceea4, prims=0xbfef8b80, nr_prims=1, ib=0x0, index_bounds_valid=1 '\001', min_index=0, max_index=3)
    at src/mesa/state_tracker/st_draw.c:719
#9  0x00f991c4 in vbo_exec_DrawArrays (mode=7, start=0, count=4) at src/mesa/vbo/vbo_exec_array.c:526
#10 0x0804e45c in piglit_draw_rect (x=-1, y=-1, w=2, h=2) at piglit/tests/util/piglit-util.c:734
#11 0x0804c66a in piglit_display () at piglit/tests/shaders/shader_runner.c:673
#12 0x0804efbf in display () at piglit/tests/util/piglit-framework.c:52
#13 0x00125820 in ?? () from /usr/lib/libglut.so.3
#14 0x00129660 in fgEnumWindows () from /usr/lib/libglut.so.3
#15 0x00125cdb in glutMainLoopEvent () from /usr/lib/libglut.so.3
#16 0x00126605 in glutMainLoop () from /usr/lib/libglut.so.3
#17 0x0804f168 in main (argc=2, argv=0xbfef90a4) at piglit/tests/util/piglit-framework.c:118
(gdb) frame 3
#3  0x00e141d7 in generate_fragment (screen=0x860f780, shader=0x8993680, variant=0x8a76398, partial_mask=1) at src/gallium/drivers/llvmpipe/lp_state_fs.c:779
779	      abort();
(gdb) l
774	   /* Verify the LLVM IR.  If invalid, dump and abort */
775	#ifdef DEBUG
776	   if(LLVMVerifyFunction(function, LLVMPrintMessageAction)) {
777	      if (1)
778	         lp_debug_dump_value(function);
779	      abort();
780	   }
781	#endif
782	
783	   /* Apply optimizations to LLVM IR */
Comment 1 Brian Paul 2010-10-19 08:15:28 UTC
Fixed with commit ec2824cd867d3b782588be1f3b1d5d802eb381ab
Comment 2 Vinson Lee 2010-11-03 23:52:22 UTC
mesa: cff1aeea10c6d8520cbb17381d81a684b2e9408b (master)

Verified fixed.